(define (domain conditional)

(:requirements :typing :adl)

(:types 
	location goal
)


(:predicates
  (at ?l - location)
  (connected ?l1 - location ?l2 - location)
  (goal-loc ?l - location ?g - goal)
  (goal-reached ?g - goal)
)

(:functions
  (total-cost)
)

(:action step
  :parameters 
    (?from - location ?to - location)
  :precondition
    (and (at ?from) (connected ?from ?to))
    
  :effect 
    (and
	(at ?to)
	(not (at ?from))
	(increase (total-cost) 5)
	)
)

(:action reach-goal
  :parameters 
    (?l - location ?g - goal)
  :precondition
    (and (at ?l) (goal-loc ?l ?g))
    
  :effect 
    (goal-reached ?g)
)




)

